/*-- Basic stuff --*/
@font-face {
    font-family: Citree regular;
    src: url("../fonts/Citree regular.otf")format("opentype");
}

.sidebar {
    font-family: 'Citree regular';
    position: relative;
    color: #47ff6f;
    height: 450px;
    width: 300px;
    text-align: left;
    padding-top: 5px;
    background-image: url('../assets/site/wiggly.png');
    background-blend-mode: darken;
    background-color: #695484;
    border: 2px solid #47ff6f;
    border-radius: 10px;
    box-shadow: 0 0 5px 1px #47ff6f;
}

.sidebar p {
    font-size: 14px;
}

.sidebar h1 {
    margin: 0px;
    margin-top: 2px;
    margin-bottom: 10px;
    text-align: center;
    line-height: 20px;
    font-size: 25px;
    text-decoration: underline;
}

#title {
    display:flex;
    align-items: center;
    padding:10px;
    background: rgba(15, 0, 76, 0.66);
    border-radius:10%;
    position:absolute;
    left:45%;
    height:100px;
    width:145px;
    text-decoration: none;
    line-height:26px;
}

.music-container {
    display: flex;
    flex-direction: row;
    padding: 7px;
}

.img-container img {
    height: 120px;
    border: 2px solid #47ff6f;
    border-radius: 10px;
    box-shadow: 0 0 5px 1px #47ff6f;
}

.music-container.play {     /*--.img-container img--*/
    animation-play-state: running;
}


.navigation {
    z-index: 3;
    display: flex;
    position:absolute;
    top:240px;
    left:25%
}

.action-btn {
    background: none;
    border: 0;
    color: white;
    font-size: 20px;
    padding: 0px 10px;
    margin: 0 0px;
    cursor:pointer;
}

.music-info {
    position: absolute;
    top:170px;
    left:25px;;
    width: 250px;
}

.music-info h1 {
    margin: 0;
    font-size: 18px;
    text-decoration: none;
}

.progress-container {
    background-color: #19012e;
    height: 5px;
    width: 100%;
    z-index: 2;
}

.progress {
    background-color: #47ff6f;
    height: 100%;
    transition: width 0.1s linear;
    z-index: 2;
}

.playlist {
    position: absolute;
    display: inline;
    margin-top: 270px;
    width: 280px;
    height: 150px;
    overflow-y: scroll;
    overflow-x: hidden;
    background: rgb(15, 0, 76, 0.40);
    border: 2px solid #47ff6f;
    border-radius: 10px;
    box-shadow: 0 0 5px 1px #47ff6f;
    z-index: 1;
    scrollbar-color: #47ff6f rgb(42, 0, 58);
    scrollbar-width: thin;
}


.playlist ul, .playlist li {
    width: 100%;
    margin-left: -10px;
    margin-top: 3px;
    list-style-type: none;
    
}

.playlist li {
    font-size: 12.5px;
    width: 100%;
}

.playlist li:hover {
    background: rgba(15, 0, 76, 0.40);
    cursor:pointer;
}

.activeSong {
    background: rgba(15, 0, 76, 0.66);
}

.trackDuration {
    position: absolute; 
    right: 5px;
    margin-top: 3.5px;
    font-size: 10px;
}

.trackInfo {
    display: inline-block;
    width: 200px;
    word-wrap: break-word;
    margin-left: -5px;
    border-bottom: 1px solid #47ff6f;
}